import os, sys
import panda3d

if sys.platform in ('win32', 'cygwin'):
    path_var = 'PATH'
elif sys.platform == 'darwin':
    path_var = 'DYLD_LIBRARY_PATH'
else:
    path_var = 'LD_LIBRARY_PATH'

dir = os.path.dirname(panda3d.__file__)
del panda3d
if not os.environ.get(path_var):
    os.environ[path_var] = dir
else:
    os.environ[path_var] = dir + os.pathsep + os.environ[path_var]

del os, sys, path_var, dir


def _exec_tool(tool):
    import os, sys
    from subprocess import Popen
    tools_dir = os.path.dirname(__file__)
    handle = Popen(sys.argv, executable=os.path.join(tools_dir, tool))
    try:
        try:
            return handle.wait()
        except KeyboardInterrupt:
            # Give the program a chance to handle the signal gracefully.
            return handle.wait()
    except:
        handle.kill()
        handle.wait()
        raise

# Register all the executables in this directory as global functions.
interrogate_module = lambda: _exec_tool(u'interrogate_module')
parse_file = lambda: _exec_tool(u'parse_file')
make_prc_key = lambda: _exec_tool(u'make-prc-key')
test_interrogate = lambda: _exec_tool(u'test_interrogate')
interrogate = lambda: _exec_tool(u'interrogate')
apply_patch = lambda: _exec_tool(u'apply_patch')
build_patch = lambda: _exec_tool(u'build_patch')
check_adler = lambda: _exec_tool(u'check_adler')
check_crc = lambda: _exec_tool(u'check_crc')
check_md5 = lambda: _exec_tool(u'check_md5')
pdecrypt = lambda: _exec_tool(u'pdecrypt')
pencrypt = lambda: _exec_tool(u'pencrypt')
show_ddb = lambda: _exec_tool(u'show_ddb')
multify = lambda: _exec_tool(u'multify')
pzip = lambda: _exec_tool(u'pzip')
punzip = lambda: _exec_tool(u'punzip')
pview = lambda: _exec_tool(u'pview')
p3dcparse = lambda: _exec_tool(u'p3dcparse')
bam_info = lambda: _exec_tool(u'bam-info')
bam2egg = lambda: _exec_tool(u'bam2egg')
egg2bam = lambda: _exec_tool(u'egg2bam')
dae2egg = lambda: _exec_tool(u'dae2egg')
dxf_points = lambda: _exec_tool(u'dxf-points')
dxf2egg = lambda: _exec_tool(u'dxf2egg')
egg2dxf = lambda: _exec_tool(u'egg2dxf')
obj2egg = lambda: _exec_tool(u'obj2egg')
egg2obj = lambda: _exec_tool(u'egg2obj')
egg_mkfont = lambda: _exec_tool(u'egg-mkfont')
egg_optchar = lambda: _exec_tool(u'egg-optchar')
egg_palettize = lambda: _exec_tool(u'egg-palettize')
egg_qtess = lambda: _exec_tool(u'egg-qtess')
egg_crop = lambda: _exec_tool(u'egg-crop')
egg_make_tube = lambda: _exec_tool(u'egg-make-tube')
egg_texture_cards = lambda: _exec_tool(u'egg-texture-cards')
egg_topstrip = lambda: _exec_tool(u'egg-topstrip')
egg_trans = lambda: _exec_tool(u'egg-trans')
egg2c = lambda: _exec_tool(u'egg2c')
egg_rename = lambda: _exec_tool(u'egg-rename')
egg_retarget_anim = lambda: _exec_tool(u'egg-retarget-anim')
egg_list_textures = lambda: _exec_tool(u'egg-list-textures')
egg2flt = lambda: _exec_tool(u'egg2flt')
flt_info = lambda: _exec_tool(u'flt-info')
flt_trans = lambda: _exec_tool(u'flt-trans')
flt2egg = lambda: _exec_tool(u'flt2egg')
fltcopy = lambda: _exec_tool(u'fltcopy')
image_info = lambda: _exec_tool(u'image-info')
image_resize = lambda: _exec_tool(u'image-resize')
image_trans = lambda: _exec_tool(u'image-trans')
pfm_trans = lambda: _exec_tool(u'pfm-trans')
pfm_bba = lambda: _exec_tool(u'pfm-bba')
lwo_scan = lambda: _exec_tool(u'lwo-scan')
lwo2egg = lambda: _exec_tool(u'lwo2egg')
softcvs = lambda: _exec_tool(u'softcvs')
vrml_trans = lambda: _exec_tool(u'vrml-trans')
text_stats = lambda: _exec_tool(u'text-stats')
vrml2egg = lambda: _exec_tool(u'vrml2egg')
egg2x = lambda: _exec_tool(u'egg2x')
x_trans = lambda: _exec_tool(u'x-trans')
x2egg = lambda: _exec_tool(u'x2egg')

